stages: 
    - build
    - deploy

default:
  image: docker:latest
  services:
    - docker:dind
  before_script:
    - apk add python3
    - apk add py3-pip
    - pip3 install awscli
    - docker load --input data/iamge.tar
    - aws ecr get-login-password --region eu-central-1 | docker login --username AWS --password-stdin 516963259120.dkr.ecr.eu-central-1.amazonaws.com

Build:
  stage: build
  before_script: []
  script:
    - mkdir data/
    - docker build --compress -t proxy .
    - docker save --output data/iamge.tar proxy
  artifacts:
    name: image
    paths:
      - data/

Push Dev:
  stage: deploy
  script:
    - docker tag proxy:latest $ECR_REPO:dev
    - docker push $ECR_REPO:dev
  rules:
    - if: "$CI_COMMIT_BRANCH == 'main'"

Push Release:
  stage: deploy
  script:
    - export TAGGED_ECR_REPO=$ECR_REPO:$(echo $CI_COMMIT_TAG | sed's/-release//'')
    - docker tag proxy:latest $TAGGED_ECR_REPO
    - docker push $TAGGED_ECR_REPO
    - docker tag $TAGGED_ECR_REPO $ECR_REPO:latest
    - docker push $ECR_REPO:latest
  rules:
    - if: "$CI_COMMIT_BRANCH =~ /^*-release$/"
